## TODO Numerics

### TODO List

### Plan

* Geometry
	* Shapes
	* Parabolas
	* Points, spaces, curves, 2D vs 3D


* Solutions of linear algebraic equations
	* Linear system, matrix solvers


* Interpolation and extrapolation

* Integration

* Root-finding, Nonlinear equation solutions

* Optimization, Minimization, Maximization

* Eigensystems

* FFT, Spectral

* Statistics, Probability, Distributions, Random Numbers





### Numerical Recipes

* Chapter 1 - preliminaries
* Chapter 2 - solutions of linear algebraic equations
* Chapter 3 - interpolation and extrapolation
* Chapter 4 - Integration of Functions
* Chapter 5 - Evaluation of Functions
* Chapter 6 - Special Functions
* Chapter 7 - Random numbers
* Chapter 8 - Sorting and selection
* Chapter 9 - Root finding and nonlinear equations
* Chapter 10 - Minimization and maximization
* Chapter 11 - Eigensystems
* Chapter 12 - Fast Fourier Transform
* Chapter 13 - Fourier and spectral applications
* Chapter 14 - Statistical description of data
* Chapter 15 - Modeling of data
* Chapter 16 - Classification and Inference
* Chapter 17 - Integration of ODEs
* Chapter 18 - Two-point boundary solution
* Chapter 19 - Integral equations and inverse theory
* Chapter 20 - PDEs
* Chapter 21 - Computational geometry

